Name:           cockpit-leapp
Version:        0.1.4
Release:        1%{?dist}
Summary:        Leapp in-place upgrade Cockpit UI

License:        LGPLv2+
URL:            https://github.com/oamg/cockpit-leapp
Source0:        cockpit-leapp-%{version}.tar.gz

BuildArch:      noarch

Requires:       cockpit
Requires:       leapp leapp-repository

%description
Leapp in-place upgrade Cockpit UI

%prep
%setup -q -n cockpit-leapp-%{version}

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/cockpit/leapp
cp -r public/* %{buildroot}/%{_datadir}/cockpit/leapp

%files
%license LICENSE.txt
%{_datadir}/cockpit/leapp

%post
touch %{_localstatedir}/log/leapp/remediations


%changelog
* Thu Sep 17 2020 Dominik Rehak <drehak@redhat.com> - 0.1.4-1
- Update to 0.1.4
- Require superuser in all file/process API calls
  Resolves: #1859779

* Wed Sep 09 2020 Dominik Rehak <drehak@redhat.com> - 0.1.3-1
- Update to 0.1.3
- Fix running remediation commands
  Resolves: #1877313
- Fix showing report when not logged in as superuser
  Resolves: #1859779

* Wed Sep 02 2020 Dominik Rehak <drehak@redhat.com> - 0.1.2-1
- Update to 0.1.2
- Fix showing remediations when leapp is killed
  Resolves: #1873184
- Add support of dialog related report entries
  Resolves: #1873608

* Tue Nov 26 2019 Petr Stodulka <pstodulk@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Fix crash issues due to invalid severity in report
  Resolves: #1776938

* Fri Nov 01 2019 Michal Reznik <mreznik@redhat.com> - 0.1.0-5
- Add "back" button to "Remediation Plan"

* Wed Oct 30 2019 Michal Reznik <mreznik@redhat.com> - 0.1.0-4
- Add "remediations" file to /var/log/leapp
